import { IgxOverlayService } from '../overlay';
import { ScrollStrategy } from './scroll-strategy';
export declare class AbsoluteScrollStrategy extends ScrollStrategy {
    private _initialized;
    private _document;
    private _overlayService;
    private _id;
    private _scrollContainer;
    constructor(scrollContainer?: HTMLElement);
    /** @inheritdoc */
    initialize(document: Document, overlayService: IgxOverlayService, id: string): void;
    /** @inheritdoc */
    attach(): void;
    /** @inheritdoc */
    detach(): void;
    private onScroll;
}
